/*	
	Copyright (C) 2007 KOHKETSU Makoto
	
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 
 */

/*
 * 쐬2007/07/05
 *
 */


package mobi.macoto.HappyouBeru;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Date;

public class Bell {
	
	Date start_time;
	
	//x̖鎞
	int bell1 = 10;// * 60;
	int bell2 = 15;// * 60;
	
	
	public Bell(){
		System.out.println("##############################################");
		System.out.println("\nHappyBell# Welcome to HappyBell system.\n");
		System.out.println("##############################################");
		System.out.println("HappyBell# HappyBell, Copyright (C) 2007 KOHKETSU Makoto\n" +
				"HappyBell# HappyBell *S̖ۏ*Œ񋟂܂B\n" +
				"HappyBell# ̓t[\tgEFAłẢōĔЕz邱ƂコĂ܂B\n" +
				"HappyBell# ڂ́ulicencevƃ^CvĉB\n" +
				"HappyBell# ̑̃R}hm肽΁uhelpvƃ^CvĂB\n");
	}
	
	
	public void prompt() throws IOException{
		
		
		boolean ret = false;
		
		systemOutln(1, "PxF" + (bell1 / 60) + "" );
		systemOutln("QxF" + (bell2 / 60) + "" );
		
		for(;;){
			
			if (! ret){
				systemOutln("X^[g邽߂ɂ[s]܂[start]Ɠ͂ĂB");
				
			}else{
				ret = false;
			}
			systemOut("");
			
			//
			BufferedReader input = new BufferedReader(new InputStreamReader(System.in));
			String str = input.readLine();
			
			if(str.equals("licence") ){
				
				this.licence();
				
			}else if(str.equals("") ){
				
				ret = true;
				
			}else if(str.equals("s") || str.equals("start")){
				
				start();
				
				
			}else if(str.equals("help") || str.equals("?") || str.equals("h") ){
				systemOutln(1,
							"X^[g@@F[s] [start]");
				systemOutln("I@@@@F[exit] [bye]");
				systemOutln("xԕύXF[bell] [b]");
				systemOutln("쌠\@F[licence]");
				systemOutln("wv@@@F[help] [h] [?]");
				
			}else if(str.equals("exit") || str.equals("bye") ){
				systemOut(2,"I܂B###\n\nHappyBell, Copyright (C) 2007 KOHKETSU Makoto" ,2);
				break;
				
			}else if(str.equals("bell") || str.equals("b") ){
				
				while(true){
					systemOutln(1, "PxF" + (bell1 / 60) + "" );
					systemOutln("QxF" + (bell2 / 60) + "" );
					systemOutln(1, "PxAQxǂύX܂H");
					systemOutln("Px[1],Qx[2],ݒI[9]");
					
					systemOut("");
					//
					String str1 = input.readLine();
					
					if (str1.equals("1") || str1.equals("P") ){
						
						systemOut("Px̎Ԃ͂ĂB(PʁF)");
						
						//
						String str11 = input.readLine();
						
						try{
							bell1 = Integer.parseInt(str11) * 60;
							
						}catch(NumberFormatException e){
							systemOutln("<(?_?)>");
						}
						
					}else if(str1.equals("2") || str1.equals("Q") ){
						
						systemOut("Px̎Ԃ͂ĂB(PʁF)");
						
						//
						String str11 = input.readLine();
						
						try{
							if(bell1 == Integer.parseInt(str11) * 60){
								systemOutln("PxƓԂ͐ݒł܂ւB߂ȂˁB");
							}else {
								if(bell1 > Integer.parseInt(str11)){
									systemOutln("PxԂݒ肳Ă܂BӂB(ݒ莩̂͗Lł)");
								}
								bell2 = Integer.parseInt(str11) * 60;
							}
							
						}catch(NumberFormatException e){
							systemOutln("<(?_?)>");
						}
					}else if(str1.equals("9") || str1.equals("X") ){
						systemOutln("ݒI");
						break;
					}else{
						systemOutln("<(?_?)>");
					}
				
					
				}
				
			}else{
				systemOutln("<(?_?)> [help]ŃR}h\܂B");
			}
		
			
		}
		System.exit(0);
	}
	
	private void start(){
		//X^[g
		
		//X^[gԂ̎擾
		start_time = new Date();
		
		systemOutln("start->" +start_time.toString());
		
		Hyouzi h = new Hyouzi(start_time, bell1 , bell2);
		
		h.setVisible(true);
		

	}
	
	
	
	void systemOut(int kaigyou_mae, String s ,int kaigyou_ato){
		
		for(int i = 0 ; i < kaigyou_mae ; i++){
			System.out.print("\n");
		}
		
		System.out.print("HappyBell# " + s);
		
		for(int i = 0 ; i < kaigyou_ato ; i++){
			System.out.print("\n");
		}
		
	}
	
	void systemOutln(int kaigyou_mae, String s){
		
		for(int i = 0 ; i < kaigyou_mae ; i++){
			System.out.print("\n");
		}
		
		System.out.println("HappyBell# " + s);
		
	}
	
	void systemOut(String s){
		System.out.print("HappyBell# " + s);
	}
	
	void systemOutln(String s){
		System.out.println("HappyBell# " + s);
	}
	
	void systemOutNo(String s){
		System.out.print(s);
	}
	
	void licence(){
		
		systemOut(2,"Copyright (C) 2007 KOHKETSU Makoto",1);
		
		systemOutln("This program is free software; you can redistribute it and/or");
		systemOutln("modify it under the terms of the GNU General Public License");
		systemOutln("as published by the Free Software Foundation; either version 2");
		systemOut(0,"of the License, or (at your option) any later version.",2);
		
		systemOutln("This program is distributed in the hope that it will be useful,");
		systemOutln("but WITHOUT ANY WARRANTY; without even the implied warranty of");
		systemOutln("MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the");
		systemOutln("GNU General Public License for more details.");
		
		systemOutln(1,"You should have received a copy of the GNU General Public License");
		systemOutln("along with this program; if not, write to the Free Software");
		systemOut(0, "Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.",3);
		
		systemOutln("<Qlp{>");
		systemOutln("Copyright (C) 2007 KOHKETSU Makoto");

		systemOutln(1,"̃vO̓t[\tgEFAłBȂ͂At[\tgEF");
		systemOutln("AcɂĔsꂽ GNU ʌOp_(o[W2A");
		systemOutln("]ɂĂ͂ȍ~̃o[Ŵǂꂩ)̒߂̉ōĔЕz");
		systemOutln("܂͉ς邱Ƃł܂B");

		systemOutln(1,"̃vO͗Lpł邱ƂĔЕz܂A*S̖ۏ* ");
		systemOutln("łBƉ\̕ۏ؂̖ړIւ̓ḰAOɎꂽ̂");
		systemOutln("ߑS݂܂BڂGNU ʌOp_񏑂B");
		 
		systemOutln(1,"Ȃ͂̃vOƋɁAGNU ʌOp_񏑂̕ꕔ");
		systemOutln("󂯎͂łB󂯎ĂȂ΁At[\tgEFAc");
		systemOutln("ŐĂ( the Free Software Foundation, Inc., 59");
		systemOut(0,"Temple Place, Suite 330, Boston, MA 02111-1307 USA)B" ,3);
	}
}
